import axios from 'axios';

const BASE_URL = 'http://127.0.0.1:5000';
const BASE_URL_2='http://127.0.0.1:3001';
// 调用 Flask 进行图像识别
export const predict = async (data: any) => {
  try {
    const response = await axios.post(`${BASE_URL}/predict`, { data });
    return response.data;
  } catch (error) {
    console.error('图像预测时发生错误:', error);
    throw error;
  }
};
// 调用 Flask 进行RAG增强回答
export const queryRAGKnowledge = async (query: string) => {
  try {
    const response = await axios.post(`${BASE_URL_2}/query`, { query });
    // 提取结果中的 content 字段
    const contents = response.data.results.map((result: { sentence: any; }) => result.sentence);
    return contents; // 返回内容列表

  } catch (error) {
    console.error('查询 RAG 知识库时发生错误：', error);
    throw error;
  }
};